Package fr.gouv.vitam.common.guid

# Enum Class GUIDObjectType.GUIDObjectEnumType

java.lang.Object
java.lang.Enum<GUIDObjectType.GUIDObjectEnumType>
fr.gouv.vitam.common.guid.GUIDObjectType.GUIDObjectEnumType

All Implemented Interfaces:
  `Serializable`, `Comparable<GUIDObjectType.GUIDObjectEnumType>`, `Constable`

Enclosing class:
  `GUIDObjectType`

public static enum GUIDObjectType.GUIDObjectEnumType extends Enum<GUIDObjectType.GUIDObjectEnumType>
Utility Enum for GUIDObjectType

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESSION_REGISTER_DETAIL`
  Store Accession register detail type
  `ACCESSION_REGISTER_SUMMARY`
  Store Accession register Symmary type
  `AGENCIES`
  Agencies contract type
  `CONTRACT`
  Contract type
  `EVENT`
  Event type (for a task or step in a workflow)
  `MANIFEST`
  Manifest file type (if used)
  `OBJECT`
  Object type
  `OBJECTGROUP`
  ObjectGroup type
  `ONTOLOGIES`
  Ontologies type
  `OPERATION_LOGBOOK`
  Operation Logbook file type
  `REQUESTID`
  Request Id type (as for Access when receiving a request)
  `STORAGE_OPERATION`
  Store operation Id type (when a write opeation occurs within the Write Logbook)
  `UNASSIGNED`
  Unassigned type
  `UNIT`
  Unit type
  `WRITE_LOGBOOK`
  Write Logbook file type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `static GUIDObjectType.GUIDObjectEnumType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GUIDObjectType.GUIDObjectEnumType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNASSIGNED

    public static final GUIDObjectType.GUIDObjectEnumType UNASSIGNED
    Unassigned type

  - ### UNIT

    public static final GUIDObjectType.GUIDObjectEnumType UNIT
    Unit type

  - ### OBJECTGROUP

    public static final GUIDObjectType.GUIDObjectEnumType OBJECTGROUP
    ObjectGroup type

  - ### OBJECT

    public static final GUIDObjectType.GUIDObjectEnumType OBJECT
    Object type

  - ### OPERATION_LOGBOOK

    public static final GUIDObjectType.GUIDObjectEnumType OPERATION_LOGBOOK
    Operation Logbook file type

  - ### WRITE_LOGBOOK

    public static final GUIDObjectType.GUIDObjectEnumType WRITE_LOGBOOK
    Write Logbook file type

  - ### MANIFEST

    public static final GUIDObjectType.GUIDObjectEnumType MANIFEST
    Manifest file type (if used)

  - ### EVENT

    public static final GUIDObjectType.GUIDObjectEnumType EVENT
    Event type (for a task or step in a workflow)

  - ### REQUESTID

    public static final GUIDObjectType.GUIDObjectEnumType REQUESTID
    Request Id type (as for Access when receiving a request)

  - ### STORAGE_OPERATION

    public static final GUIDObjectType.GUIDObjectEnumType STORAGE_OPERATION
    Store operation Id type (when a write opeation occurs within the Write Logbook)

  - ### ACCESSION_REGISTER_SUMMARY

    public static final GUIDObjectType.GUIDObjectEnumType ACCESSION_REGISTER_SUMMARY
    Store Accession register Symmary type

  - ### ACCESSION_REGISTER_DETAIL

    public static final GUIDObjectType.GUIDObjectEnumType ACCESSION_REGISTER_DETAIL
    Store Accession register detail type

  - ### CONTRACT

    public static final GUIDObjectType.GUIDObjectEnumType CONTRACT
    Contract type

  - ### AGENCIES

    public static final GUIDObjectType.GUIDObjectEnumType AGENCIES
    Agencies contract type

  - ### ONTOLOGIES

    public static final GUIDObjectType.GUIDObjectEnumType ONTOLOGIES
    Ontologies type

- ## Method Details

  - ### values

    public static GUIDObjectType.GUIDObjectEnumType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GUIDObjectType.GUIDObjectEnumType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Returns:
      the corresponding GUIDObjectType id